Get Batch Jobs

Returns a list of batch jobs that belong to the user.

GET /v1/batch

Request Body

Les paramètres suivants peuvent être inclus dans le corps de la requête :

Paramètres

limit
integer
Default Value: 20

A limit on the number of objects to be returned.

Successful Response

Les champs suivants sont retournés dans une réponse réussie :

Champs de réponse

object
string
Required

The object type, which is always "list".

data
array<Batch>
Required

The list of batch jobs.

Examples

Exemples de code pour utiliser cet endpoint :

typescript
import { AlphaEdge } from '@alphaedge/alphaedge';

const alphaedge = new AlphaEdge({
  apiKey: process.env.ALPHAEDGE_API_KEY,
});

const batches = await alphaedge.batch.list();
python
from alphaedge import AlphaEdge

alphaedge = AlphaEdge(api_key="your-api-key")

batches = alphaedge.batch.list()
curl
curl https://api.alphaedge-ai.com/v1/batch \
  -H "Authorization: Bearer $ALPHAEDGE_API_KEY"

Response

Exemple de réponse de l'API :

json
{
  "object": "list",
  "data": [
    {
      "id": "batch-abc123",
      "object": "batch",
      "status": "processing",
      "created_at": 1234567890
    }
  ]
}